aboutsummaryrefslogtreecommitdiff
path: root/docker/entrypoint.sh
diff options
context:
space:
mode:
authorCameron Fleming <cameron@nevexo.space>2020-06-27 18:03:24 +0100
committerCameron Fleming <cameron@nevexo.space>2020-06-27 18:03:24 +0100
commitdee88bbd1a285ccff920027e11147fb357841ca5 (patch)
treea9d0559fefffe8a24594748eed6393c5202f6774 /docker/entrypoint.sh
parentb524c3401ccb89be4e53d92868a38e7ecf459d00 (diff)
Create docker files
Allow's cState to run under Docker.
Diffstat (limited to 'docker/entrypoint.sh')
-rw-r--r--docker/entrypoint.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/docker/entrypoint.sh b/docker/entrypoint.sh
new file mode 100644
index 0000000..f8068c1
--- /dev/null
+++ b/docker/entrypoint.sh
@@ -0,0 +1,21 @@
+WORK_DIR="/app"
+SRC_DIR="/cstate"
+
+# Check if the working dir is empty, if it is we'll need to copy
+# the files in from src directory (usually /cstate)
+if ! [ "$(ls -A $WORK_DIR)" ]; then
+ # First run, copy cstate's files in.
+ echo "First time run! Hello, World :)"
+ cp -R $SRC_DIR/* $WORK_DIR
+fi
+
+# Continue with building
+
+# CD into working dir
+cd /app
+
+# Build the hugo site
+hugo
+
+# Copy built files into NGINX directory
+cp -r /app/public/* /usr/share/nginx/html \ No newline at end of file